using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;
using Microsoft.Reporting.WinForms;
namespace RepView
{
    public partial class Form1 : Form
    {
        string sSql = string.Empty;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            label1.Text = "";
            this.ThisAnimalsTableAdapter.Fill(this.AnimalsDataSet.ThisAnimals);
            this.reportViewer1.RefreshReport();              
        }
        private void button1_Click(object sender, EventArgs e)
        {
            sSql = "Select * from thisanimals order by id";
            label1.Text = "   :";
            vLoadData();
        }
        private void button2_Click(object sender, EventArgs e)
        {
            label1.Text = "    ";
            sSql = "Select ta.id as id,ta.name as name,ws.numbers as numbers from thisanimals ta ";  
            sSql +="left join workers ws on ws.id=ta.id order by  ta.id";
            vLoadData();
            
        }
        private void vLoadData()
        {
            reportViewer1.LocalReport.DataSources.Clear();            
            DataSet MyDataSet = new DataSet();
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=";
            //     
            string sBank = @"C:\Bases\Animals.mdb";            
            using (OleDbConnection oleConn = new OleDbConnection(connectionString + sBank))
            {
                try
                {
                    oleConn.Open();
                    OleDbCommand olecmd = new OleDbCommand(sSql, oleConn);
                    olecmd.CommandType = CommandType.Text;
                    OleDbDataAdapter da = new OleDbDataAdapter(olecmd);
                    da.Fill(MyDataSet);
                }
                catch (Exception/* ex*/)
                {
                    return;
                }
            }
            reportViewer1.ProcessingMode = ProcessingMode.Local;
            reportViewer1.LocalReport.ReportEmbeddedResource = "RepView.Report1.rdlc";
            this.reportViewer1.LocalReport.DataSources.Add(
                 new ReportDataSource("AnimalsDataSet_ThisAnimals", MyDataSet.Tables[0]));
            this.reportViewer1.RefreshReport();
        }   
    }
}